> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Room Messages

> Fetch all messages for a particular room Id



## OpenAPI

````yaml get /api/v2/messages/{roomId}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/messages/{roomId}:
    get:
      tags:
        - Messaging
      summary: Fetch Room Messages
      description: Fetch all messages for a particular room Id
      parameters:
        - name: roomId
          in: path
          required: true
          schema:
            type: string
          description: Room Id to fetch messages for
          example: '3:15'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      description: Message text
                      type: string
                      example: Hey there!
                    from:
                      description: From User Id
                      type: number
                      example: 15
                    fromUser:
                      description: From User Name
                      type: string
                      example: Brandon
                    to:
                      description: From User Id
                      type: number
                      example: 35554545
                    toUser:
                      description: To User Name
                      type: string
                      example: Jillian
                    timestamp:
                      description: Epoch of the last messages timestamp
                      type: number
                      example: 1699633022
                    date:
                      description: Friendly Date
                      type: string
                      example: '2023-11-10T16:17:02.000Z'
                    roomId:
                      description: Room Id
                      type: string
                      example: '15:35554545'
                    status:
                      description: >-
                        If message was delivered. Status of success indicates
                        delivered
                      type: string
                      example: success
                    attachments:
                      description: Array of media attachment Urls.
                      type: string
                      example: '[]'
                    gift:
                      description: If this message included a monetary gift
                      type: boolean
                      example: false
                    drip:
                      description: If this message was a paid drip
                      type: boolean
                      example: false
                    uuid:
                      description: Unique id for message
                      type: string
                      example: 3b38f0af-7341-49fd-acce-1749c904e00d
                    source:
                      description: >-
                        Source medium for the message. Could have sourced from a
                        vida client, sms, voice, email
                      type: string
                      example: sms
                    roomInitiator:
                      description: User name who first initiated contact for the room
                      type: string
                      example: brandon
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````